import { ModuleWithProviders, OpaqueToken } from '@angular/core';
import { NotifierConfig, NotifierOptions } from './models/notifier-config.model';
/**
 * Dependency Injection token for custom notifier options
 */
export declare const CustomNotifierOptions: OpaqueToken;
/**
 * Factory for creating a notifier configuration object
 *
 * Sidenote:
 * This functionality had to be extracted from the NotifierModule.forRoot function, described below. Otherwhise, the Angular AoT compiler
 * would throw errors. For further details, also see:
 * - Angular issue #11262 <https://github.com/angular/angular/issues/11262>
 * - Angular issue #10789 <https://github.com/angular/angular/issues/10789>
 */
export declare function notifierConfigFactory(options: NotifierOptions): NotifierConfig;
/**
 * Notifier module
 */
export declare class NotifierModule {
    /**
     * Setup custom module (service) configuration
     */
    static forRoot(options: NotifierOptions): ModuleWithProviders;
}
